org.apache.tinkerpop.gremlin.process.traversal.lambda

## Class ElementValueTraversal<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal<Element,V>
  - - org.apache.tinkerpop.gremlin.process.traversal.lambda.ElementValueTraversal<V>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<V>, Traversal<Element,V>, Traversal.Admin<Element,V>

      public final class ElementValueTraversal<V>
      extends AbstractLambdaTraversal<Element,V>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Admin<S,E>, Traversal.Exceptions, Traversal.Symbols`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `bypassTraversal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementValueTraversal(String propertyKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStart(Traverser.Admin<Element> start)` Add a single `Traverser.Admin` object to the head of the traversal.
    `boolean` | `equals(Object other)`
    `String` | `getPropertyKey()`
    `int` | `hashCode()`
    `boolean` | `hasNext()`
    `V` | `next()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `addStep, applyStrategies, clone, getBytecode, getGraph, getParent, getSideEffects, getSteps, getStrategies, getTraverserGenerator, getTraverserRequirements, isLocked, nextTraverser, removeStep, reset, setBypassTraversal, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStarts, addStep, equals, getEndStep, getStartStep, getTraversalSource, removeStep`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `asAdmin, close, explain, fill, forEachRemaining, forEachRemaining, iterate, next, none, profile, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `remove`

- - ### Constructor Detail

    - #### ElementValueTraversal

          public ElementValueTraversal(String propertyKey)

  - ### Method Detail

    - #### next

          public V next()

      Specified by:
        `next` in interface `Iterator<V>`
      Overrides:
        `next` in class `AbstractLambdaTraversal<Element,V>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<V>`
      Overrides:
        `hasNext` in class `AbstractLambdaTraversal<Element,V>`

    - #### addStart

          public void addStart(Traverser.Admin<Element> start)

      Description copied from interface: `Traversal.Admin`
      Add a single `Traverser.Admin` object to the head of the traversal. Users should typically not need to call this method. For dynamic inject of data, they should use `InjectStep`.
      Specified by:
        `addStart` in interface `Traversal.Admin<Element,V>`
      Overrides:
        `addStart` in class `AbstractLambdaTraversal<Element,V>`
      Parameters:
        `start` - a traverser to add to the traversal

    - #### getPropertyKey

          public String getPropertyKey()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractLambdaTraversal<Element,V>`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `AbstractLambdaTraversal<Element,V>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.